Bug 1908772 - A11y Violation: Dev Console Nav Menu UL contains non-LI elements
Summary: A11y Violation: Dev Console Nav Menu UL contains non-LI elements
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.9.0
Assignee: Christoph Jerolimov
QA Contact: spathak@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-17 15:07 UTC by David Taylor
Modified: 2021-10-18 17:29 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:28:58 UTC
Target Upstream Version:


Attachments (Terms of Use)
DevConsole sidebar Nav structure (322.88 KB, image/png)
2020-12-17 15:07 UTC, David Taylor
no flags Details
Cypress 6 a11y UL list violation (229.09 KB, image/png)
2020-12-17 15:08 UTC, David Taylor
no flags Details
A11y Violation: Dev Console Nav Menu UL does not contains non-LI elements (199.84 KB, image/png)
2021-06-20 18:41 UTC, spathak@redhat.com
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9215 0 None open Bug 1908772: Fix a11y violation: Dev Console Nav Menu UL contains non-LI elements 2021-06-11 00:13:58 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:29:10 UTC

Description David Taylor 2020-12-17 15:07:05 UTC
The dev console sidebar Nav menu UL list contains non-LI elements and violates:
https://dequeuniversity.com/rules/axe/3.5/list?application=axeAPI

It has the following structure:

<ul ...
  <section ...
    <ul ...
       <li ...

  <section ...
...

Admin console Nav menu doesn't have this structure.

This a11y violation surfaced when upgrading Cypress & Cypress-axe to v6.

Once this is fixed we can re-enable the Cypress 'list' a11y check:  
https://github.com/openshift/console/blob/40034f87bcebf624993f990710b7686042741872/frontend/packages/integration-tests-cypress/support/a11y.ts#L43

Comment 1 David Taylor 2020-12-17 15:07:57 UTC
Created attachment 1740015 [details]
DevConsole sidebar Nav structure

Comment 2 David Taylor 2020-12-17 15:08:31 UTC
Created attachment 1740016 [details]
Cypress 6 a11y UL list violation

Comment 5 spathak@redhat.com 2021-06-20 18:41:25 UTC
Created attachment 1792540 [details]
A11y Violation: Dev Console Nav Menu UL does not contains non-LI elements

Comment 6 spathak@redhat.com 2021-06-20 18:42:53 UTC
Verified on build version: 4.7.0-0.nightly-2021-06-17-224843
Browser: Google Chrome 89

Comment 9 errata-xmlrpc 2021-10-18 17:28:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.